Sets the image orientation

- « Imagick::setImageOpacity

- Imagick::setImagePage »

- PHP Manual
- Imagick
- Sets the image orientation

# Imagick::setImageOrientation

(PECL imagick 2, PECL imagick 3)

Imagick::setImageOrientation — Sets the image orientation

### Description

public Imagick::setImageOrientation(int `$orientation`): bool

Sets the image orientation.

### Parameters

`orientation`

  One of the orientation constants

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::setImageOrientation()

    <?php
    //Doesn't appear to do anything
    function setImageOrientation($imagePath, $orientationType) {
        $imagick = new \Imagick(realpath($imagePath));
        $imagick->setImageOrientation($orientationType);
        header("Content-Type: image/jpg");
        echo $imagick->getImageBlob();
    }

    ?>